Page MenuHomePhabricator

Updated languages are not appearing on Language Dashboard
Closed, ResolvedPublic

Description

After merging patch https://gerrit.wikimedia.org/r/#/c/193128 it should show 'min' and 'uz' at language-reportcard.wmflabs.org

Event Timeline

KartikMistry raised the priority of this task from to High.
KartikMistry updated the task description. (Show Details)
KartikMistry added a subscriber: KartikMistry.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 3 2015, 7:02 AM
KartikMistry set Security to None.
Arrbee moved this task from Backlog to In Progress on the LE-Sprint-83 board.Mar 4 2015, 5:55 PM
Milimetric closed this task as Resolved.Mar 4 2015, 8:57 PM
Milimetric claimed this task.
Milimetric added a subscriber: Nikerabbit.

I had to manually update the TSV files where this data is being appended. So, every night a cron runs and computes the new numbers for the previous day. It runs each SQL script and appends the results to the corresponding file found at: stat1003:/a/limn-public-data/language/datafiles/<<corresponding-file>>.tsv

So, when the SQL was changed, the TSV no longer fit the new rows which had two additional columns. The fix is manual but simple, just add the new columns to the header row in each file, in the correct order (same order as the SQL file). I've done this for the existing files and (after the files rsync-ed over to stat1001) you can now see minwiki and uzwiki in your graphs: http://language-reportcard.wmflabs.org/

In the future, to make these header row changes yourself, you'll need access to stat1003, and access to edit files owned by the stats user. I think @Nikerabbit's gonna ping you guys tomorrow about these rights. Remember to change the file after you merge the SQL changes. It won't break anything if you don't but the graph would have two empty columns until everything's on the same "page".

Arrbee moved this task from In Progress to Done on the LE-Sprint-83 board.Mar 5 2015, 6:55 AM
ggellerman moved this task from In Code Review to Done on the Analytics-Kanban board.